Status: Closed

Priority: Low

Assignee: Chris Crook

Category: Data Provider/Delimited Text 

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 19790

Description

When user settings are set  to : "set CRS of new layers to project CRS", then no dialog is raised to ask for choosing actual CRS of

delimited text layers, and this can lead to mis-reprojected layers.  (say you load WGS84 data, in a project with another projection)

It is easy to solve afterward by setting the right CRS definition, but common users fall in the caveat here.

From a UX point of view, it doesn't seem pertinent that a import plugin uses settings of new layers. I would vote for a CRS chooser in

Delimited text import dialog, eventually disabled if user inserts EWKT text as geometry (not sure about this).

Cheers

Régis

Associated revisions

Revision 3e9ce1a5 - 2018-02-20 07:07 PM - Chris Crook

Add CRS to delimited text source select. Fixes #11520

History

#1 - 2014-10-29 12:06 PM - Giovanni Manghi

- Affected QGIS version changed from 2.4.0 to master

the option actually make sense to me, this is why in general options > CRS there is the option "prompt for CRS". But anyway a CRS selector in the import

CSV plugin it would be handy indeed.

#2 - 2014-10-30 02:24 AM - Chris Crook

Yes - sounds a good idea to me too.  I'll aim for a 2.8 implementation.

#3 - 2014-10-30 03:43 AM - Regis Haubourg

Giovanni Manghi wrote:

the option actually make sense to me, this is why in general options > CRS there is the option "prompt for CRS". But anyway a CRS selector in the

import CSV plugin it would be handy indeed.

2024-04-26 1/2



Hi Giovanni, the option makes totally good sense, agreed. But importing data is not seen by users as creating data, so the option should not apply to

Import use case. An external datasource already has its SRS (explictly defined or not). I calibrate qgis profiles here with the option to automatically create

data in project crs, because there is one legal crs to use, defined almost everywhere. With this On, QGis is simpler, but sometimes the workflow generates

minor problem. That could be a good improvement (I saw Chris agreed, thanks!).

#4 - 2017-05-01 01:07 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#5 - 2018-02-21 07:37 AM - Chris Crook

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|3e9ce1a5bc354f8bfc75d80e1ece368b68211158.

#6 - 2018-02-22 11:40 AM - Giovanni Manghi

- Description updated

- Resolution set to fixed/implemented
